Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/public/get_index_price
import requests

url = "https://test.deribit.com/api/v2/public/get_index_price"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://test.deribit.com/api/v2/public/get_index_price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "result": {
    "index_price": 11628.81,
    "estimated_delivery_price": 11628.81
  },
  "id": 123
}

Query Parameters

index_name
enum<string>
required

Index identifier, matches (base) cryptocurrency with quote currency

Available options:
btc_usd,
eth_usd,
ada_usdc,
algo_usdc,
avax_usdc,
bch_usdc,
bnb_usdc,
btc_usdc,
btcdvol_usdc,
buidl_usdc,
doge_usdc,
dot_usdc,
eurr_usdc,
eth_usdc,
ethdvol_usdc,
link_usdc,
ltc_usdc,
near_usdc,
paxg_usdc,
shib_usdc,
sol_usdc,
steth_usdc,
ton_usdc,
trump_usdc,
trx_usdc,
uni_usdc,
usde_usdc,
usyc_usdc,
xrp_usdc,
btc_usdt,
eth_usdt,
eurr_usdt,
sol_usdt,
steth_usdt,
usdc_usdt,
usde_usdt,
btc_eurr,
btc_usde,
btc_usyc,
eth_btc,
eth_eurr,
eth_usde,
eth_usyc,
steth_eth,
paxg_btc,
drbfix-btc_usdc,
drbfix-eth_usdc

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request